# Uses of Enum
org.apache.zookeeper.CreateMode

Packages that use CreateMode
Package
Description
org.apache.zookeeper
org.apache.zookeeper.retry
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of CreateMode in org.apache.zookeeper

Subclasses with type arguments of type CreateMode in org.apache.zookeeper
Modifier and Type
Class
Description
`enum`
`CreateMode`
CreateMode value determines how the znode is created on ZooKeeper.
Methods in org.apache.zookeeper that return CreateMode
Modifier and Type
Method
Description
`static CreateMode`
CreateMode.`fromFlag(int flag)`
Map an integer value to a CreateMode value
`static CreateMode`
CreateMode.`fromFlag(int flag, CreateMode defaultMode)`
Map an integer value to a CreateMode value
`CreateMode`
CreateOptions.`getCreateMode()`
`static CreateMode`
CreateMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CreateMode[]`
CreateMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper with parameters of type CreateMode
Modifier and Type
Method
Description
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, long ttl)`
Constructs a create operation.
`Transaction`
Transaction.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
Create a node with the given path.
`void`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, AsyncCallback.Create2Callback cb, Object ctx)`
The asynchronous version of create.
`void`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, AsyncCallback.Create2Callback cb, Object ctx, long ttl)`
The asynchronous version of create with ttl.
`void`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, AsyncCallback.StringCallback cb, Object ctx)`
The asynchronous version of create.
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, Stat stat)`
Create a node with the given path and returns the Stat of that node.
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, Stat stat, long ttl)`
same as `ZooKeeper.create(String, byte[], List, CreateMode, Stat)` but allows for specifying a TTL when mode is `CreateMode.PERSISTENT_WITH_TTL` or `CreateMode.PERSISTENT_SEQUENTIAL_WITH_TTL`.
`static CreateMode`
CreateMode.`fromFlag(int flag, CreateMode defaultMode)`
Map an integer value to a CreateMode value
`static CreateOptions.Builder`
CreateOptions.`newBuilder(List<ACL> acl, CreateMode createMode)`
Constructs a builder for `CreateOptions`.

## Uses of CreateMode in org.apache.zookeeper.retry

Methods in org.apache.zookeeper.retry with parameters of type CreateMode
Modifier and Type
Method
Description
`String`
ZooKeeperRetry.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`

## Uses of CreateMode in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type CreateMode
Modifier and Type
Method
Description
`static void`
EphemeralType.`validateTTL(CreateMode mode, long ttl)`
Utility to validate a create mode and a ttl